Create the import Run in API Explorer

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.plannrcrm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
"PlannrCRM MCP server": {
  "url": "https://apidocs.plannrcrm.com/mcp"
}
Close
POST /api/v1/import

Fist step of the import process, must be mapped before it can be started Must be of Content-Type multipart/form-data

application/json

Body

  • type string Required

    Type of record to import.

    Value Description
    business_staff_members Business Staff Members
    charges Charges
    circles Circles
    clients Clients
    group_scheme_members Group Scheme Members
    incomes Incomes
    notes Notes
    plans Plans
    premiums Premiums
    tasks Tasks
    valuations Valuations
    seccl_valuations Seccl Valuations
    expenses Expenses
    provider_statement Provider Statement

    Values are business_staff_members, charges, circles, clients, group_scheme_members, incomes, notes, plans, premiums, tasks, valuations, seccl_valuations, expenses, or provider_statement.

  • mode string Required

    Type of import mode to enforce.

    Value Description
    store Store
    update Update
    validate Validate

    Values are store, update, or validate.

  • file string(binary) Required

    CSV file with import records

Responses

  • 200 application/json
    Hide response attributes Show response attributes object
    • uuid string

      The UUID of the resource.

    • created_at string

      The timestamp of when the resource was created.

    • updated_at string

      The timestamp of when the resource was updated.

    • type string

      The type of model the importer is importing

    • mode string

      The mode this import was run on

    • headers array[string]

      Headers taken from uploaded csv, not visible on index route

    • mapping object

      Mapped headers, not visible on index route

      Hide mapping attributes Show mapping attributes object
      • fname string
      • lname string
      • email string
    • importable_uuid string

      The uuid of the model this importer is importing. For example, for a provider statement import, this would be the uuid of the provider statement being imported

    • parameters object

      additional parameters for the import

      Hide parameters attribute Show parameters attribute object
      • revenue_type_mapping object
        Hide revenue_type_mapping attributes Show revenue_type_mapping attributes object
        • IF string
        • ADJ string
    • status string

      The status of the importer

    • total_jobs integer

      Total amount of imports in the importer

    • progress integer

      The current progress of the importer

    • jobs_remaining integer

      Number of pending imports

    • failed_jobs integer

      Number of failed imports

    • error_report object

      Error report file

      Hide error_report attributes Show error_report attributes object
      • uuid string
      • created_at string
      • original_created_at string
      • updated_at string
      • uploaded_at string
      • status string
      • filename string
      • name string
      • extension string
      • type string
      • size string
      • path string
      • last_modified string
      • progress string
      • download_url string
      • folder_name string
      • folder string
      • documentable_type string
      • documentable string
      • navigator object
        Hide navigator attributes Show navigator attributes object
        • model_type string
        • model_uuid string
      • firm string
      • account string
      • tags string
    • errors object

      Array of failed imports, limited to 25 rows

      Hide errors attributes Show errors attributes object
      • client object
        Hide client attributes Show client attributes object
        • example array
        • description string
      • errors object
        Hide errors attributes Show errors attributes object
        • example object
          Hide example attribute Show example attribute object
          • send_welcome_email array[string]
        • description string
    • account object

      Account that initiated the import

      Hide account attributes Show account attributes object
      • uuid string
      • created_at string
      • updated_at string
      • type string
      • role string
      • first_name string
      • last_name string
      • name string
      • email string
      • photo_url string
      • firm string
      • primary_phone_number string
      • primary_email string
      • current_time_entry string
      • assigned_adviser string
      • assigned_administrator string
      • assigned_paraplanner string
      • introduced_by string
      • business_unit string
      • groups string
      • tags string
      • owners string
      • first_contact_date string
      • next_review_date string
      • previous_review_date string
      • anniversary_review_date string
      • terms_of_business_at string
      • client_agreement_at string
      • with_login boolean
      • has_joint_account boolean
      • can_be_deleted string
      • joint_account_circle string
      • circles string
      • ownership_percentage integer
      • inactive_at string
      • last_interaction_at string
      • referral_code string
      • permissions object
        Hide permissions attributes Show permissions attributes object
        • firm:read array[string]
        • network:read array[string]
      • custom_fields string
      • external_references string
POST /api/v1/import
curl \
 --request POST 'https://api.plannrcrm.com/api/v1/import' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "Content-Type: application/json" \
 --data '{"type":"business_staff_members","mode":"store","file":"file-contents"}'
Request examples
{
  "type": "business_staff_members",
  "mode": "store",
  "file": "file-contents"
}
Response examples (200)
{
  "uuid": "c5faed96-9576-48e3-88f0-5879a7b0035e",
  "created_at": "2026-06-08T16:08:03+01:00",
  "updated_at": "2026-06-08T16:08:03+01:00",
  "type": "clients",
  "mode": "store",
  "headers": [
    "fname",
    "lname",
    "email"
  ],
  "mapping": {
    "fname": "first_name",
    "lname": "last_name",
    "email": "email"
  },
  "importable_uuid": "2a51f936-20ae-4a82-ac8e-d5efefd3bbe7",
  "parameters": {
    "revenue_type_mapping": {
      "IF": "initial_fee",
      "ADJ": "adjustment"
    }
  },
  "status": "processing",
  "total_jobs": 4,
  "progress": 100,
  "jobs_remaining": 1,
  "failed_jobs": 1,
  "error_report": {
    "uuid": "3c749752-c4eb-4095-a202-93e547910000",
    "created_at": "2026-06-08T16:08:03+01:00",
    "original_created_at": "2026-06-08T16:08:03+01:00",
    "updated_at": "2026-06-08T16:08:03+01:00",
    "uploaded_at": "2026-06-08T16:08:03+01:00",
    "status": "uploaded",
    "filename": "Welcome to Plannr.pdf",
    "name": "Welcome to Plannr",
    "extension": "pdf",
    "type": "type",
    "size": "21691783",
    "path": "Gareth Thompson/Subfolder/Welcome to Plannr.pdf",
    "last_modified": "2026-06-08T16:08:03+01:00",
    "progress": "100",
    "download_url": "https://api.plannrcrm.com/file/8d1d2faf-4814-4a95-bc44-4f54cf1f6c24/download",
    "folder_name": "folder 2",
    "folder": "App\\Http\\Resources\\FolderResource",
    "documentable_type": "account",
    "documentable": "Object",
    "navigator": {
      "model_type": "account",
      "model_uuid": "41e84c09-c84b-4123-9a56-4b9d665cc0e6"
    },
    "firm": "App\\Http\\Resources\\FirmResource",
    "account": "App\\Http\\Resources\\MinimalAccountResource",
    "tags": "App\\Http\\Resources\\TagResource"
  },
  "errors": {
    "client": {
      "example": [],
      "description": "Client that failed importing"
    },
    "errors": {
      "example": {
        "send_welcome_email": [
          "The send welcome email field is required."
        ]
      },
      "description": "The reasons why the client failed importing"
    }
  },
  "account": {
    "uuid": "120c9044-4cfc-46c2-88ff-1ccd59e250fc",
    "created_at": "2026-06-08T16:08:03+01:00",
    "updated_at": "2026-06-08T16:08:03+01:00",
    "type": "client",
    "role": "client",
    "first_name": "Gareth",
    "last_name": "Thompson",
    "name": "Gareth Thompson",
    "email": "gareth@codepotato.co.uk",
    "photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
    "firm": "App\\Http\\Resources\\FirmResource",
    "primary_phone_number": "App\\Http\\Resources\\ContactDetailResource",
    "primary_email": "App\\Http\\Resources\\ContactDetailResource",
    "current_time_entry": "App\\Http\\Resources\\TimeEntryResource",
    "assigned_adviser": "App\\Http\\Resources\\AccountResource",
    "assigned_administrator": "App\\Http\\Resources\\AccountResource",
    "assigned_paraplanner": "App\\Http\\Resources\\AccountResource",
    "introduced_by": "App\\Http\\Resources\\AccountResource",
    "business_unit": "App\\Http\\Resources\\BusinessUnitResource",
    "groups": "App\\Http\\Resources\\GroupResource",
    "tags": "App\\Http\\Resources\\TagResource",
    "owners": "App\\Http\\Resources\\AccountResource",
    "first_contact_date": "2026-06-08T16:08:03+01:00",
    "next_review_date": "2026-06-08T16:08:03+01:00",
    "previous_review_date": "2026-06-08T16:08:03+01:00",
    "anniversary_review_date": "2026-06-08T16:08:03+01:00",
    "terms_of_business_at": "2026-06-08T16:08:03+01:00",
    "client_agreement_at": "2026-06-08T16:08:03+01:00",
    "with_login": true,
    "has_joint_account": true,
    "can_be_deleted": "false",
    "joint_account_circle": "App\\Http\\Resources\\CircleResource",
    "circles": "App\\Http\\Resources\\CircleResource",
    "ownership_percentage": 100,
    "inactive_at": "2026-06-08",
    "last_interaction_at": "2026-06-08 16:08:03",
    "referral_code": "ABC12345",
    "permissions": {
      "firm:read": [
        "firm"
      ],
      "network:read": [
        "network:uuid"
      ]
    },
    "custom_fields": "App\\Http\\Resources\\CustomFieldValueResource",
    "external_references": "App\\Http\\Resources\\ExternalReferenceResource"
  }
}